#
# spec file for package perl-Linux-DesktopFiles
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Linux-DesktopFiles
Version:        0.25
Release:        bp156.3.1
%define cpan_name Linux-DesktopFiles
Summary:        Fast parsing of the Linux desktop files
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Linux-DesktopFiles/
Source0:        https://cpan.metacpan.org/authors/id/T/TR/TRIZEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%{perl_requires}

%description
The 'Linux::DesktopFiles', a very fast and simple way to parse the Linux
desktop files.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes ignore.txt README.md
%license LICENSE

%changelog
* Mon Oct 23 2017 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-Linux-DesktopFiles/Changes
  0.25  2017-10-22
  - `parse_desktop_file()` and `parse_desktop_files()` are now context-sensitive, returning a key-value list or a HASH reference, depending on the context.
  - Documentation improvements.
* Sun Oct 22 2017 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-Linux-DesktopFiles/Changes
  0.24  2017-10-21
  - When `keep_unknown_categories` is true and a given entry does not belong to any category, `parse_desktop_file` will set `Categories` to [`unknown_category_key`].
  0.23  2017-10-21
  - Escaped strings are now unescaped.
  - Added the `parse_desktop_file` method, which parses a single desktop file.
* Thu Oct  5 2017 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-Linux-DesktopFiles/Changes
  0.22  2017-10-04
  - Make sure the category names are unique, so we don't store an application twice under the same category.
* Fri Sep 22 2017 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Linux-DesktopFiles/Changes
  0.21  2017-09-21
  - Fixed a minor bug for icon names that contain one or more dots (e.g.: "foo.bar.baz").
    Thanks to Erik Dubois for reporting this issue (https://github.com/trizen/obmenu-generator/issues/16).
* Fri Sep 15 2017 smurf.anon@gmail.com
- Initial package, version 0.20
